Search Files
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/storage/files/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"tags": [
"<string>"
],
"path_prefix": "<string>",
"content_type": "<string>",
"min_size": 123,
"max_size": 123,
"uploaded_by": "<string>"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/storage/files/search"
payload = {
"query": "<string>",
"tags": ["<string>"],
"path_prefix": "<string>",
"content_type": "<string>",
"min_size": 123,
"max_size": 123,
"uploaded_by": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
tags: ['<string>'],
path_prefix: '<string>',
content_type: '<string>',
min_size: 123,
max_size: 123,
uploaded_by: '<string>'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/storage/files/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"content_type": "<string>",
"file_size_bytes": 123,
"checksum": "<string>",
"uploaded_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_accessed_at": "<string>",
"access_count": 123,
"provider": "<string>",
"tags": [
"<string>"
],
"custom_metadata": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Search Files
Advanced file search with multiple filters.
- Search by name, tags, metadata
- Filter by size, type, uploader
- Path prefix filtering
POST
/
api
/
v1
/
storage
/
files
/
search
Search Files
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I